import request from '@/utils/request'

// 查询材料应力列表
export function listStress(query) {
  return request({
    url: '/sems/stress/list',
    method: 'get',
    params: query
  })
}

// 查询材料应力详细
export function getStress(id) {
  return request({
    url: '/sems/stress/' + id,
    method: 'get'
  })
}

// 新增材料应力
export function addStress(data) {
  return request({
    url: '/sems/stress',
    method: 'post',
    data: data
  })
}

// 修改材料应力
export function updateStress(data) {
  return request({
    url: '/sems/stress',
    method: 'put',
    data: data
  })
}

// 删除材料应力
export function delStress(id) {
  return request({
    url: '/sems/stress/' + id,
    method: 'delete'
  })
}

// 导出材料应力
export function exportStress(query) {
  return request({
    url: '/sems/stress/export',
    method: 'get',
    params: query
  })
}
